lsd(1)

NAME
lsd - An ls command with a lot of pretty colors and some other stuff.

SYNOPSIS
lsd [--help] [-V|--version] [-a|--all] [-A|--almost-all] [--color] [--icon] [--icon-theme] [-F|--classify] [-l|--long] [--ignore-config] [--config-file] [-1|--oneline] [-R|--recursive] [-h|--human-readable] [--tree] [--depth] [-d|--directory-only] [--permission] [--size] [--total-size] [--date] [-t|--timesort] [-S|--sizesort] [-X|--extensionsort] [-v|--versionsort] [--sort] [-U|--no-sort] [-r|--reverse] [--group-dirs] [--group-directories-first] [--blocks] [--classic] [--no-symlink] [-I|--ignore-glob] [-i|--inode] [-L|--dereference] [-Z|--context] [--hyperlink] [FILE]

DESCRIPTION
An ls command with a lot of pretty colors and some other stuff.

OPTIONS

--help
    Print help information

-V, --version
    Print version information

-a, --all
    Do not ignore entries starting with .

-A, --almost-all
    Do not list implied . and ..

--color [default: auto]
    When to use terminal colours

--icon [default: auto]
    When to print the icons

--icon-theme [default: fancy]
    Whether to use fancy or unicode icons

-F, --classify
    Append indicator (one of */=>@|) at the end of the file names

-l, --long
    Display extended file metadata as a table

--ignore-config
    Ignore the configuration file

--config-file=config-file
    Provide a custom lsd configuration file

-1, --oneline
    Display one entry per line

-R, --recursive
    Recurse into directories

-h, --human-readable
    For ls compatibility purposes ONLY, currently set by default

--tree
    Recurse into directories and present the result as a tree

--depth=num
    Stop recursing into directories after reaching specified depth

-d, --directory-only
    Display directories themselves, and not their contents (recursively when used with --tree)

--permission [default: rwx]
    How to display permissions

--size [default: default]
    How to display size

--total-size
    Display the total size of directories

--date [default: date]
    How to display date [possible values: date, relative, +date-time-format]

-t, --timesort
    Sort by time modified

-S, --sizesort
    Sort by size

-X, --extensionsort
    Sort by file extension

-v, --versionsort
    Natural sort of (version) numbers within text

--sort=WORD
    sort by WORD instead of name

-U, --no-sort
    Do not sort. List entries in directory order

-r, --reverse
    Reverse the order of the sort

--group-dirs
    Sort the directories then the files

--group-directories-first
    Groups the directories at the top before the files. Same as --group-dirs=first

--blocks
    Specify the blocks that will be displayed and in what order

--classic
    Enable classic mode (display output similar to ls)

--no-symlink
    Do not display symlink target

-I, --ignore-glob=pattern [default: ]
    Do not display files/directories with names matching the glob pattern(s). More than one can be specified by repeating the argument

-i, --inode
    Display the index number of each file

-L, --dereference
    When showing file information for a symbolic link, show information for the file the link references rather than for the link itself

-Z, --context
    Print security context (label) of each file

--hyperlink [default: never]
    Attach hyperlink to filenames

[FILE] [default: .]

VERSION
v0.21.0